WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [Plugin: AZIndex] Not working since WordPress 2.8 upgrade (21 posts)

  1. sweetcake
    Member
    Posted 5 years ago #

    Plugin is not working and I think it happened since upgrading to 2.8 but am not 100%. I have tried deactivating it and deleting everything and starting it all over by downloading a new copy... I am not getting any errors but am only getting a blank page... I only recently found this plugin and love it and wish I can get it to work again... does anyone have any ideas? The site index page it at http://www.commercialusegraphics.com/site-index/ If no one can help are there any other plugins available that do a similar job that work in 2.8. Thanks

  2. MorbidatDD
    Member
    Posted 5 years ago #

    The author has not been active on this plugin or his personal blog since March. I hope that he is still around to get this compatible with 2.8, or that someone else takes a stab at figuring out where the issue is. This is one of my favorite plugins and also quit working entirely after upgrading WP from 2.7.

  3. sweetcake
    Member
    Posted 5 years ago #

    So sad... I love this plugin and have not found anything similar and I do not know enough to try to figure out how to recode it! :-( I would be glad to make a contribution to the author if he can get it working in 2.8. I can't even find another plugin that even comes close to what this one does...

  4. TheFreeWindows
    Member
    Posted 5 years ago #

    It is definitely a compatibility problem with the 2.8 version of WordPress, since so many people here and in other forums get a blank page after the upgrade to 2.8. WordPress is great, but it also makes the life of both users and plugin developers, difficult by all those upgrades. At least, in a future version the WordPress developers could add an essential feature, as I see it, to have the WordPress Setup engine check the currently activated plugins of a blog, and warn the owner of the blog which of these plugins won't work after the upgrade. If I knew from the beginning that AZindex will stop working, I wouldn't go on with the upgrade to 2.8 - and the compatibility list at the relevant web page of wordpress, which I checked, did not mention AZindex at all!

  5. ecaaron
    Member
    Posted 5 years ago #

    Hi!

    We got this plugin to work ok on our blog. It was having the same problem as everyone else to start, just a blank page, but it's working now, can anyone else check please:

    http://www.electricchalk.com/contents/

    That is running 2.8

    I tracked the problem down (or i think i did, im not a wordpress expert), to this:

    $stylesheet = az_get_stylesheet($options, $index->cols, $grouped ? $index->cssgroup : $index->csssingle); on line 95.

    Editing that line out made the page start displaying a contents page. So i put the line back in, then in the azindex admin section, we ticked the this box:

    "Use customized stylesheets for the index"

    It seems to be working at our end.

    Hope this solution works for others!

    Aaron.

  6. TheFreeWindows
    Member
    Posted 5 years ago #

    It didn't work for me.

  7. ecaaron
    Member
    Posted 5 years ago #

    Did you try and comment-out the "$stylesheet = " line in the "az-index-content.php" php file?

    The plugin seems to be working perfect right now for us, and all i did was the steps above.

    Comment out that line, load the page that the contents is on in my browser, then uncomment it again. And tick that "Use customized stylesheets for the index" box.

    Cheers.

  8. TheFreeWindows
    Member
    Posted 5 years ago #

    Unfortunately my version of AZindex (0.8.1) doesn't have this line. Here is what it has (I tried to comment this out, and it didn't work):

    // Fetch the correct stylesheet for the currently set options.
    $stylesheet = az_get_stylesheet($options, $cols, $grouped ? $cssgroup : $csssingle);

    $output = '';
    if (!empty($items)) {

    // Set the default separator if the user hasn't set one.
    if (empty($headsep)) {
    $headsep = ' - ';
    }
    etc.

    I tried to just select the custom stylesheet option from the admin pages, but that didn't work too.

  9. TheFreeWindows
    Member
    Posted 5 years ago #

    It seems that there was an upgrade problem and I didn't have the last version of the plugin - which I installed and found the line that you mention. Followed your instructions (comment out, uncomment, custom stylesheets), but still only a blank page is loaded.

  10. sweetcake
    Member
    Posted 5 years ago #

    I found on the plugin page a comment on PHP and that 4 and 2.8 and this plugin were not compatible. They said that they got theirs to work usinf php5 with 2.8 and the plugin.. I really do not understand all of this but was able to go into my server admin thing and saw that my blog was using php 4 and I changed it to php 5 as suggested and then made sure all AZIndex was deleted from my blog and redownload it and started it all over and so far it seems to be working again!! Hooray!! Thanks for everyone who replied... I did not have to try the commenting out thing mentioned above. New site index for my site is now at http://www.commercialusegraphics.com/index/ if you want to check it out!

  11. TheFreeWindows
    Member
    Posted 5 years ago #

    The problem is still not fixed for me. I don't know why the author of the plugin does not respond to the discussion. Obviously the plugin is not compatible with WordPress 2.8, but since in some cases it already works, its upgrade should not be such a great thing.

  12. Laura J
    Member
    Posted 5 years ago #

    I'm having the same problem and I'm running php 5

    Would love a solution to this.

  13. sweetcake
    Member
    Posted 5 years ago #

    What worked for me to get it to work with the newest WordPress was to go to plugins and deactivate it… then go to tools/azindex/manage indexes... On the bottom of the page click on uninstall AZIndex plugin and this will delete the files and also delete the index database that it uses.. then I deleted the plugin from the inactive plugin page… and deleted all files. Next I went to wordpress and redownloaded the plugin and reinstalled it from scratch and created a new index.. it seems to be working just fine with WordPress 2.8.1 and PHP 5... I hope this helps some of you.

  14. Laura J
    Member
    Posted 5 years ago #

    I tested this on a development site of mine. Upgraded WordPress to 2.8.1 and the site is alread on PHP 5.

    Had never installed az index on this site, so did that.

    But it doesn't work. Still get this error:
    Fatal error: Call to undefined function mb_strtoupper() in /home/website/public_html/directoryname/wp-content/plugins/azindex/az-index-cache.php on line 863

    So that's a completely clean install of az index on PHP 5 and still get the same error.

    I've had to do some work around coding on my live site to get the plugin to work.

    Hopefully the author of the plugin will address this code problem. Crossing my fingers :)

  15. Shelley Keith
    Member
    Posted 4 years ago #

    I'm working on an upgrade for this now since it's a critical plugin for my site. If I get it working I'll post the fix(es).

  16. Shelley Keith
    Member
    Posted 4 years ago #

    Can someone please test the changes for 2.8.2? Email smkeith@gmail.com with any errors, thoughts, etc.

    http://files.getdropbox.com/u/1009993/azindex_changed_files_only.zip

  17. TheFreeWindows
    Member
    Posted 4 years ago #

    Hi,
    I don't know what you changed, but it still doesn't work for me.

  18. papagno
    Member
    Posted 4 years ago #

    To solve the "Fatal error: Call to undefined function mb_strtoupper()" problem just:
    1) open the "azindex/az-index-cache.php" and go to line 862
    2) replace
    } else if (function_exists("mb_substr")) {
    with
    } else if (function_exists("mb_substr") && function_exists("mb_strtoupper")) {
    3) save :-)

  19. capedfcu
    Member
    Posted 4 years ago #

    papagno,

    Thank you! That worked like a charm! I tried everything else I could find over the last few months.

  20. Alessia Heartilly
    Member
    Posted 4 years ago #

    I have a problem with this plugin. It worked even with WP 2.8.5, but if I activate a plugin for smtp mails (no matter which plugin I try) I get a blank page on my index page. Both plugins are critical for my blog, since I need an a-z index for my posts (a run a book reviews blog) and smtp plugin is necessary, otherwise my users won't get emails. I also tried the changed files posted here, but that didn't fix the problem; actually now in my index page there are no alphabetical links. Any idea?

  21. mskogly
    Member
    Posted 4 years ago #

    Doesn't seem to be working on my site running wordpress 2.9.2. Nothing is show on the page that includes the shortcode.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags